> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zerocash.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Branches

> Get Bank Branches (Conditional on whether or not bank has branches as well)



## OpenAPI

````yaml GET /api/b2b/utilities/branches
openapi: 3.1.0
info:
  title: Zerocash API
  version: 1.0.0
  description: >-
    The Zerocash API lets you collect payments (charges) and disburse funds
    (payouts) across supported markets through a single, unified integration.
servers:
  - url: https://api.zerocash.tech
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Obtain and manage API credentials.
  - name: Reference Data
    description: Look up countries, banks, operators, and rates before transacting.
  - name: Charges
    description: Collect payments from your customers.
  - name: Payouts
    description: Disburse funds to recipients.
  - name: Transactions
    description: Retrieve and reconcile transactions.
  - name: Webhooks
    description: Receive and replay real-time event notifications.
paths:
  /api/b2b/utilities/branches:
    get:
      tags:
        - Reference Data
      summary: Get Branches
      description: >-
        Get Bank Branches (Conditional on whether or not bank has branches as
        well)
      operationId: get-branches
      parameters:
        - name: bankId
          in: query
          schema:
            type: string
            default: '404'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - id: 2393
                        branch_code: 2006168ICR
                        branch_name: Ghana IntStandard Chartered
                        swift_code: null
                        bic: null
                        bank_id: 404
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 2393
                          default: 0
                        branch_code:
                          type: string
                          example: 2006168ICR
                        branch_name:
                          type: string
                          example: Ghana IntStandard Chartered
                        swift_code: {}
                        bic: {}
                        bank_id:
                          type: integer
                          example: 404
                          default: 0
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    message: No branches found for specified bank id
                    errorCode: E-API-UT.S-39
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  message:
                    type: string
                    example: No branches found for specified bank id
                  errorCode:
                    type: string
                    example: E-API-UT.S-39
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````